Skip to main content
POST
getBlock

Request Parameters

number
required
Slot number as a u64 integer.
string
default:"finalized"
The commitment level for the request.
  • finalized
string
default:"json"
The encoding format for each returned transaction.
  • json
  • jsonParsed
  • base58
  • base64
string
default:"full"
Level of transaction detail to return. If accounts are requested, transaction details only include signatures and an annotated list of accounts in each transaction. Transaction metadata includes only: fee, err, pre_balances, post_balances, pre_token_balances, and post_token_balances.
  • full
  • accounts
  • signatures
  • none
number
Maximum transaction version to return in responses. If the requested block contains a transaction with a higher version, an error will be returned. If omitted, only legacy transactions will be returned.
boolean
default:"true"
Whether to populate the rewards array.

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0
required

The JSON-RPC protocol version.

Available options:
2.0
id
string
default:1
required

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getBlock
required

The name of the RPC method to invoke.

Available options:
getBlock
params
(integer | object)[]
required

Parameters for the request.

Slot number as a u64 integer.

Example:

430

Response

Successfully retrieved block details.

jsonrpc
enum<string>
Available options:
2.0
id
string
result
object